import React, { useEffect } from 'react';
import { api } from "@nice/client"
import { apiClient } from '@web/src/utils';

function PersonCard(){
    const {data} = api.staff.findMany.useQuery({
      take: 10
    })

    useEffect(()=>{

        console.log(data)
    },[data])

    const getdata=async ()=>{
        const res=await apiClient.get("/goods/hello")
        console.log(res)
    }


    return (
        <div>
          {data?.map((i, index) => (
            <div key={index} className="bg-white rounded-lg shadow-sm p-6 hover:shadow-md transition-shadow duration-300">
              <div className="flex items-center">
                <h3 className="text-lg font-semibold text-gray-900">{i.username}</h3>
              </div>
            </div>
          ))}
        </div>
      );
}

export default PersonCard;